Subject: [TR] TR6 Exhausts

From: William Brewer <[email-masked]>
Date: Sat, 31 Aug 2013 21:54:12 -0700 (PDT)

I am looking to upgrade the exhaust on my 1974 TR6. The stock exhaust is
way to quit. I have been looking online and listening to the videos on
youtube. It looks like the Tourist Trophy exhaust might be quietest, but I am
not sure. Several guys complained that the Monza and Falcon exhausts were too
loud. There are also the Ansa exhausts. Anyone have any valid opinions and
experiences?

     Bill in Tehachapi

** [email-masked] **

Archive: http://www.team.net/archive